Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.jelly.xpath
Class XPathTagSupport

    java.lang.Object
      org.apache.commons.jelly.TagSupport
          org.apache.commons.jelly.xpath.XPathTagSupport

All Implemented Interfaces:
  Tag

    public abstract class XPathTagSupport

extends TagSupport

An abstract base class useful for implementation inheritence

Version:
  $Revision: 155420 $
Author:
  James Strachan

Field Summary

Fields inherited from class org.apache.commons.jelly.TagSupport
`body, context, hasTrimmed, parent, shouldTrim`

Constructor Summary
`XPathTagSupport()`

Method Summary
`protected java.lang.Object` | `getXPathContext()`

Methods inherited from class org.apache.commons.jelly.TagSupport
`findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, findAncestorWithClass, getBody, getBodyText, getBodyText, getContext, getParent, invokeBody, isEscapeText, isTrim, setBody, setContext, setEscapeText, setParent, setTrim, trimBody`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.apache.commons.jelly.Tag
`doTag`

Constructor Detail

### XPathTagSupport

    public XPathTagSupport()

Method Detail

### getXPathContext

    protected java.lang.Object getXPathContext()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2005 Apache Software Foundation. All Rights Reserved.